public class Test09 {
	public static void main(String[] args) {
		int c, n, s, j, r1, r2;
		int a[][] = new int[5][5];
		c = 2;
		n = s = -1;
		r1 = c;
		r2 = c;
		do
		{
			s++;
			j = r1;
			do
			{
				n += 2;
				a[s][j] = n;
				j++;
			} while (j <= r2);
			if (s >= c)
			{
				r1++;
				r2--;
			}
			else
			{
				r1--;
				r2++;
			}
		} while (s < 4);
	}
}
